/* FOG Net Load
 *
 * Author: FOG <fog@shutdown.cx>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <stdio.h>
#include <string.h>

#include "interface.h"
#include "support.h"
#include "callbacks.h"

void loadnet(GtkWidget *combo);

void loadnet(GtkWidget *combo)
{
  FILE *f;
  char l[300];
  char i[6];
  int n=1;
  GList *options = NULL;

  f = fopen("/proc/net/dev", "r");
  if (f == 0) {
    g_print("Unable to open proc file.\n");
  }
  i[6]='\0';
  while ((fgets(l, 201, f)) != NULL)
  {
    if (n > 2)
      {
         strncpy(i, l, 6);
         options = g_list_append (options, g_strdup(i));
      }
      n++;
  }
  fclose(f);
  gtk_combo_set_popdown_strings ( GTK_COMBO (combo), options );
}


int
main (int argc, char *argv[])
{
  GtkWidget *window1;

  gtk_set_locale ();
  gtk_init (&argc, &argv);

  add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
  add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");

  window1 = create_window1 ();
  gtk_widget_show (window1);

  loadnet (lookup_widget ( GTK_WIDGET (window1), "combo1"));

  gtk_main ();
  return 0;
}

